Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.protocol.sync
Class ReceivingRetrieval

    java.lang.Object
      org.fourthline.cling.protocol.ReceivingAsync<IN>
          org.fourthline.cling.protocol.ReceivingSync<StreamRequestMessage,StreamResponseMessage>
              org.fourthline.cling.protocol.sync.ReceivingRetrieval

All Implemented Interfaces:
  Runnable

    public class ReceivingRetrieval

extends ReceivingSync<StreamRequestMessage,StreamResponseMessage>

Handles reception of device/service descriptor and icon retrieval messages.

Requested device and service XML descriptors are generated on-the-fly for every request.

Descriptor XML is dynamically generated depending on the control point - some control points require different metadata than others for the same device and services.

Author:
  Christian Bauer

Field Summary

Fields inherited from class org.fourthline.cling.protocol.ReceivingSync
`outputMessage, remoteClientInfo`

Constructor Summary
`ReceivingRetrieval(UpnpService upnpService, StreamRequestMessage inputMessage)`

Method Summary
`protected StreamResponseMessage` | `createResponse(URI requestedURI, Resource resource)`
`protected StreamResponseMessage` | `executeSync()`
`protected Resource` | `onResourceNotFound(URI requestedURIPath)` Called if the `Registry` had no result.

Methods inherited from class org.fourthline.cling.protocol.ReceivingSync
`execute, getOutputMessage, getRemoteClientInfo, responseException, responseSent, toString`

Methods inherited from class org.fourthline.cling.protocol.ReceivingAsync
`getFirstHeader, getInputMessage, getUpnpService, run, waitBeforeExecution`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReceivingRetrieval

    public ReceivingRetrieval(UpnpService upnpService,
                              StreamRequestMessage inputMessage)

Method Detail

### executeSync

    protected StreamResponseMessage executeSync()
                                         throws RouterException

  Specified by:
    `executeSync` in class `ReceivingSync<StreamRequestMessage,StreamResponseMessage>`
  Throws:
    `RouterException`

### createResponse

    protected StreamResponseMessage createResponse(URI requestedURI,
                                                   Resource resource)

### onResourceNotFound

    protected Resource onResourceNotFound(URI requestedURIPath)

  Called if the `Registry` had no result.

  Parameters:
    `requestedURIPath` - The requested URI path
  Returns:
    `null` or your own `Resource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.